<?php

/**
 * @file
 * Definition of Character.
 */

/**
 * Defines the wow_character entity class.
 */

class WoWCharacter extends Entity {

  /**
   * The character ID.
   *
   * @var integer
   */
  public $cid;

  /**
   * The character owner's user ID.
   *
   * @var integer
   */
  public $uid;

  /**
   * The character region.
   *
   * @var string
   */
  public $region;

  /**
   * The character realm.
   *
   * @var string
   */
  public $realm;

  /**
   * The character name.
   *
   * @var string
   */
  public $name;

  /**
   * Whether the character is active(1) or blocked(0).
   *
   * @var integer
   */
  public $status;

  /**
   * Whether the character is main(1) or alt(0).
   *
   * @var integer
   */
  public $isMain;

  /**
   * The character level.
   *
   * @var integer
   */
  public $level;

  /**
   * Timestamp for character's last fetch.
   *
   * @var integer
   */
  public $lastFetched = 0;

  /**
   * Timestamp for character's last update.
   *
   * @var integer
   */
  public $lastModified = 0;

  /**
   * The character thumbnail.
   *
   * @var string
   */
  public $thumbnail;

  /**
   * The character race.
   *
   * @var integer
   */
  public $race;

  /**
   * The character achievement points.
   *
   * @var integer
   */
  public $achievementPoints;

  /**
   * The character gender.
   *
   * @var integer
   */
  public $gender;

  /**
   * The character class.
   *
   * @var integer
   */
  public $class;

}